# Interface ImaSdkSettings

See: https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/reference/js/google.ima.ImaSdkSettings

interface ImaSdkSettings {
getCompanionBackfill(): CompanionBackfillMode;
getDisableCustomPlaybackForIOS10Plus(): boolean;
getFeatureFlags(): Record<string, unknown>;
getLocale(): string;
getNumRedirects(): number;
getPlayerType(): string;
getPlayerVersion(): string;
getPpid(): null | string;
isCookiesEnabled(): boolean;
setAutoPlayAdBreaks(autoPlayAdBreaks): void;
setCompanionBackfill(mode): void;
setCookiesEnabled(cookiesEnabled): void;
setDisableCustomPlaybackForIOS10Plus(disable): void;
setFeatureFlags(featureFlags): void;
setLocale(locale): void;
setNumRedirects(numRedirects): void;
setPlayerType(playerType): void;
setPlayerVersion(playerVersion): void;
setPpid(ppid): void;
setSessionId(sessionId): void;
setVpaidAllowed(allowVpaid): void;
setVpaidMode(vpaidMode): void;
}

#####
Index

### Methods

getCompanionBackfill
getDisableCustomPlaybackForIOS10Plus
getFeatureFlags
getLocale
getNumRedirects
getPlayerType
getPlayerVersion
getPpid
isCookiesEnabled
setAutoPlayAdBreaks
setCompanionBackfill
setCookiesEnabled
setDisableCustomPlaybackForIOS10Plus
setFeatureFlags
setLocale
setNumRedirects
setPlayerType
setPlayerVersion
setPpid
setSessionId
setVpaidAllowed
setVpaidMode

## Methods

### getCompanionBackfill

- getCompanionBackfill(): CompanionBackfillMode

- #### Returns CompanionBackfillMode

### getDisableCustomPlaybackForIOS10Plus

- getDisableCustomPlaybackForIOS10Plus(): boolean

- #### Returns boolean

### getFeatureFlags

- getFeatureFlags(): Record<string, unknown>

- #### Returns Record<string, unknown>

### getLocale

- getLocale(): string

- #### Returns string

### getNumRedirects

- getNumRedirects(): number

- #### Returns number

### getPlayerType

- getPlayerType(): string

- #### Returns string

### getPlayerVersion

- getPlayerVersion(): string

- #### Returns string

### getPpid

- getPpid(): null | string

- #### Returns null | string

### isCookiesEnabled

- isCookiesEnabled(): boolean

- #### Returns boolean

### setAutoPlayAdBreaks

- setAutoPlayAdBreaks(autoPlayAdBreaks): void

- #### Parameters

  - autoPlayAdBreaks: boolean

  #### Returns void

### setCompanionBackfill

- setCompanionBackfill(mode): void

- #### Parameters

  - mode: CompanionBackfillMode

  #### Returns void

### setCookiesEnabled

- setCookiesEnabled(cookiesEnabled): void

- #### Parameters

  - cookiesEnabled: boolean

  #### Returns void

### setDisableCustomPlaybackForIOS10Plus

- setDisableCustomPlaybackForIOS10Plus(disable): void

- #### Parameters

  - disable: boolean

  #### Returns void

### setFeatureFlags

- setFeatureFlags(featureFlags): void

- #### Parameters

  - featureFlags: Record<string, unknown>

  #### Returns void

### setLocale

- setLocale(locale): void

- #### Parameters

  - locale: string

  #### Returns void

### setNumRedirects

- setNumRedirects(numRedirects): void

- #### Parameters

  - numRedirects: number

  #### Returns void

### setPlayerType

- setPlayerType(playerType): void

- #### Parameters

  - playerType: string

  #### Returns void

### setPlayerVersion

- setPlayerVersion(playerVersion): void

- #### Parameters

  - playerVersion: string

  #### Returns void

### setPpid

- setPpid(ppid): void

- #### Parameters

  - ppid: string

  #### Returns void

### setSessionId

- setSessionId(sessionId): void

- #### Parameters

  - sessionId: string

  #### Returns void

### setVpaidAllowed

- setVpaidAllowed(allowVpaid): void

- #### Parameters

  - allowVpaid: boolean

  #### Returns void

### setVpaidMode

- setVpaidMode(vpaidMode): void

- #### Parameters

  - vpaidMode: VpaidMode

  #### Returns void